<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */

// no direct access
defined('_JEXEC') or die;

if (isset($_POST['login_user'])) {
	$url = Api::sso($_POST['login_user'], TRUE);

	header('location:' . $url);
}

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
$document->addStyleSheet('components/com_docebo/colorpicker.css');


$logo = $this->item->logo;
$use_logo = $this->item->use_logo;
$intro_text = $this->item->intro_text;
$box_width = $this->item->box_width;
$box_height = $this->item->box_height;

$login_button_text = $this->item->login_button_text;
$button_position = $this->item->button_position;
$text_color = $this->item->text_color;
$border_color = $this->item->border_color;
$background_color = $this->item->background_color;
$use_box_shadow = $this->item->use_box_shadow;
$button_border_color = $this->item->button_border_color;
$button_text_color = $this->item->button_text_color;
$button_background_color = $this->item->button_background_color;


if ($box_width == "" || $box_width == 0)
	$box_width = 200;
if ($box_height == "" || $box_height == 0)
	$box_height = 200;

$inputbox_width = $box_width - 20;

if ($login_button_text == "")
	$login_button_text = "Log In";

if ($text_color == "")
	$text_color = "#111111";

if ($border_color == "")
	$border_color = "#333333";

if ($background_color == "")
	$background_color = "#ffffff";

if ($button_border_color == "")
	$button_border_color = "#333333";

if ($button_text_color == "")
	$button_text_color = "#111111";

if ($button_background_color == "")
	$button_background_color = "#ffffff";

?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript">
	Joomla.submitbutton = function (task) {

		js = jQuery.noConflict();
		js('#jform_logo_hidden').val(js('#jform_logo').val());
		if (task == 'login.cancel' || document.formvalidator.isValid(document.id('login-form'))) {
			Joomla.submitform(task, document.getElementById('login-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>
<style>
	body {
		margin-top: 30px !important;
		background: none !important;
	}

	.view-login .navbar-fixed-bottom {
		position:   fixed !important;
		text-align: left;
	}

	.view-login .navbar-fixed-bottom, .view-login .navbar-fixed-bottom a {
		text-shadow: none !important;
	}
</style>

<form action="<?php echo JRoute::_('index.php?option=com_docebo&layout=edit&id=' . (int) $this->item->id); ?>"
      method="post" enctype="multipart/form-data" name="adminForm" id="login-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_DOCEBO_LEGEND_LOGIN'); ?></legend>
			<ul class="adminformlist">

				<li><?php echo $this->form->getLabel('id'); ?>
					<?php echo $this->form->getInput('id'); ?></li>
				<li><?php echo $this->form->getLabel('logo'); ?>
					<?php echo $this->form->getInput('logo'); ?></li>

				<input type="hidden" name="jform[logo]" id="jform_logo_hidden" value=""/>
				<?php if ($this->item->logo != ''): ?>
					<input type="hidden" name="jform[logo_hidden]" value="<?php echo $this->item->logo; ?>"/>
				<?php endif; ?>
				<li><?php echo $this->form->getLabel('use_logo'); ?>
					<?php echo $this->form->getInput('use_logo'); ?></li>
				<li><?php echo $this->form->getLabel('intro_text'); ?>
					<?php echo $this->form->getInput('intro_text'); ?></li>
				<li><?php echo $this->form->getLabel('box_width'); ?>
					<?php echo $this->form->getInput('box_width'); ?></li>
				<li><?php echo $this->form->getLabel('box_height'); ?>
					<?php echo $this->form->getInput('box_height'); ?></li>
				<li><?php echo $this->form->getLabel('login_button_text'); ?>
					<?php echo $this->form->getInput('login_button_text'); ?></li>

				<li><?php echo $this->form->getLabel('text_color'); ?>
					<?php echo $this->form->getInput('text_color'); ?></li>
				<li><?php echo $this->form->getLabel('border_color'); ?>
					<?php echo $this->form->getInput('border_color'); ?></li>
				<li><?php echo $this->form->getLabel('background_color'); ?>
					<?php echo $this->form->getInput('background_color'); ?></li>
				<li><?php echo $this->form->getLabel('use_box_shadow'); ?>
					<?php echo $this->form->getInput('use_box_shadow'); ?></li>

				<li><?php echo $this->form->getLabel('button_position'); ?>
					<?php echo $this->form->getInput('button_position'); ?></li>
				<li><?php echo $this->form->getLabel('button_border_color'); ?>
					<?php echo $this->form->getInput('button_border_color'); ?></li>
				<li><?php echo $this->form->getLabel('button_text_color'); ?>
					<?php echo $this->form->getInput('button_text_color'); ?></li>
				<li><?php echo $this->form->getLabel('button_background_color'); ?>
					<?php echo $this->form->getInput('button_background_color'); ?></li>


			</ul>
		</fieldset>
	</div>


	<input type="hidden" name="task" value=""/>
	<?php echo JHtml::_('form.token'); ?>
	<div class="clr"></div>

	<style type="text/css">
		/* Temporary fix for drifting editor fields */
		.adminformlist li {
			clear: both;
		}
	</style>
</form>

<!--FORM-->
<div style="width:25%; float:right; margin-top: -440px;">
	<form action="" target="_blank" method="post" id="dosebo_login-form">
		<div style="width:<?php echo $box_width; ?>px;">

			<div class="userdata"
			     style="font-size:12px; width:<?php echo $box_width; ?>px; height:<?php echo $box_height; ?>px; background:<?php echo $background_color; ?>; <?php if ($use_box_shadow == 'No') { ?> box-shadow: 0 0 8px #999999; <?php } ?>; padding-left: 20px; border: 1px solid <?php echo $border_color ?>;">

				<?php if ($use_logo == 0 && $logo != "") { ?>
					<div><img
							src="<?php echo JURI::root(); ?>/administrator/components/com_docebo/images/<?php echo $logo; ?>"
							border="0"/></div>
				<?php } ?>

				<div style="clear:both"></div>
				<?php if ($intro_text != "") { ?>
					<br/>
					<span
						style="width:<?php echo $box_width; ?>px; float:left;text-align:center;color:<?php echo $text_color; ?>;"><?php echo $intro_text; ?></span>
				<?php } ?>
				<div style="clear:both"></div>
				<br/>


				<span style="float:left; color:<?php echo $text_color; ?>;padding-right: 3px;"><?php echo JText::_('COM_DOCEBO_USERNAME')?></span>
				<input id="modlgn-username" type="text" name="login_user" class="inputbox"
				       style="width:<?php echo $inputbox_width; ?>px;margin:5px 0px;"/>

				<div style="clear:both"></div>

				<span style="float:left; padding-right:10px; color:<?php echo $text_color; ?>;"><?php echo JText::_('COM_DOCEBO_PASSWORD')?></span>

				<input id="modlgn-passwd" type="password" name="password" class="inputbox"
				       style="width:<?php echo $inputbox_width; ?>px;margin:5px 0px;"/>

				<div style="clear:both"></div>

				<input type="hidden" value="ukyxW8yWDlka#1juGkzC82ZWjKqSol_Aj28H" name="docebo_secret">

				<div align="<?php echo $button_position; ?>"
				     class="<?php echo $button_position == 'Right' ? 'login-button-padding' : ''; ?>">
					<input type="submit" name="Submit" class="button" value="<?php echo $login_button_text; ?>"
					       style="float: none;font-size: 12px;background-color:<?php echo $button_background_color; ?>; border:1px solid <?php echo $button_border_color; ?>; color:<?php echo $button_text_color; ?>; padding-top:2px; padding-bottom:2px; cursor:pointer;"/>
				</div>

				<?php echo JHtml::_('form.token'); ?>
				<div style="clear:both"></div>
			</div>
		</div>
	</form>
</div>
<!---->