<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', FALSE, TRUE);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
$document->addScript('components/com_docebo/assets/js/docebo.js');

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_docebo');
$saveOrder = $listOrder == 'a.ordering';
?>
<div>
<div id="icon-docebo-settings"><h2><img
			src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/docebo_small.png"/>&nbsp;&nbsp;<?php echo JText::_('COM_DOCEBO_TITLE_SINGLESIGNONS_BRANDED') ?></h2></div>
<form action="<?php echo JRoute::_('index.php?option=com_docebo&view=singlesignons'); ?>" method="post" name="adminForm"
      id="adminForm">

<div class="clr"></div>

<table class="adminlist">
	<thead>
	<tr>
		<th width="1%">
			<input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)"/>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BOX_TITLE', 'a.box_title', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_INTRO_TEXT', 'a.intro_text', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BOX_WIDTH', 'a.box_width', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BOX_HEIGHT', 'a.box_height', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_SSO_BUTTON_TEXT', 'a.sso_button_text', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BUTTON_POSITION', 'a.button_position', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_SHOW_COURSES_YOU_ARE_ENROLLED_IN', 'a.show_courses_you_are_enrolled_in', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_SHOW_LAST_ATTENDED_COURSE', 'a.show_last_attended_course', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_TEXT_COLOR', 'a.text_color', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_TITLE_COLOR', 'a.title_color', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BORDER_COLOR', 'a.border_color', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BACKGROUND_COLOR', 'a.background_color', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_USE_BOX_SHADOW', 'a.use_box_shadow', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BUTTON_BACKGROUND_COLOR', 'a.button_background_color', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BUTTON_BORDER_COLOR', 'a.button_border_color', $listDirn, $listOrder); ?>
		</th>
		<th class='left'>
			<?php echo JHtml::_('grid.sort', 'COM_DOCEBO_SINGLESIGNONS_BUTTON_TEXT_COLOR', 'a.button_text_color', $listDirn, $listOrder); ?>
		</th>
		<?php if (isset($this->items[0]->state)) { ?>
			<th width="5%">
				<?php echo JHtml::_('grid.sort', 'JPUBLISHED', 'a.state', $listDirn, $listOrder); ?>
			</th>
		<?php } ?>
		<?php if (isset($this->items[0]->ordering)) { ?>
			<th width="10%">
				<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ORDERING', 'a.ordering', $listDirn, $listOrder); ?>
				<?php if ($canOrder && $saveOrder) : ?>
					<?php echo JHtml::_('grid.order', $this->items, 'filesave.png', 'singlesignons.saveorder'); ?>
				<?php endif; ?>
			</th>
		<?php } ?>
		<?php if (isset($this->items[0]->id)) { ?>
			<th width="1%" class="nowrap">
				<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
			</th>
		<?php } ?>
	</tr>
	</thead>
	<!--<tfoot>
			<?php
	if (isset($this->items[0])) {
		$colspan = count(get_object_vars($this->items[0]));
	} else {
		$colspan = 10;
	}
	?>
			<tr>
				<td colspan="<?php echo $colspan = 18; ?>">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>-->
	<tbody>
	<?php foreach ($this->items as $i => $item) :
		$ordering   = ($listOrder == 'a.ordering');
		$canCreate  = $user->authorise('core.create', 'com_docebo');
		$canEdit    = $user->authorise('core.edit', 'com_docebo');
		$canCheckin = $user->authorise('core.manage', 'com_docebo');
		$canChange  = $user->authorise('core.edit.state', 'com_docebo');
		?>
		<tr class="row<?php echo $i % 2; ?>">
			<td class="center">
				<?php echo JHtml::_('grid.id', $i, $item->id); ?>
			</td>

			<td>
				<?php if (isset($item->checked_out) && $item->checked_out) : ?>
					<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'singlesignons.', $canCheckin); ?>
				<?php endif; ?>
				<?php if ($canEdit) : ?>
					<a href="<?php echo JRoute::_('index.php?option=com_docebo&task=singlesignon.edit&id=' . (int) $item->id); ?>">
						<?php echo $dwp_sso_options['box_title'] = $this->escape($item->box_title); ?></a>
				<?php else : ?>
					<?php echo $this->escape($item->box_title); ?>
				<?php endif; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['intro_text'] = $item->intro_text; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['box_width'] = $item->box_width; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['box_height'] = $item->box_height; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['sso_button_text'] = $item->sso_button_text; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['button_position'] = $item->button_position; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['show_courses_you_are_enrolled_in'] = $item->show_courses_you_are_enrolled_in; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['show_last_attended_course'] = $item->show_last_attended_course; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['text_color'] = $item->text_color; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['title_color'] = $item->title_color; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['border_color'] = $item->border_color; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['background_color'] = $item->background_color; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['use_box_shadow'] = $item->use_box_shadow; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['button_background_color'] = $item->button_background_color; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['button_border_color'] = $item->button_border_color; ?>
			</td>
			<td>
				<?php echo $dwp_sso_options['button_text_color'] = $item->button_text_color; ?>
			</td>


			<?php if (isset($this->items[0]->state)) { ?>
				<td class="center">
					<?php echo JHtml::_('jgrid.published', $item->state, $i, 'singlesignons.', $canChange, 'cb'); ?>
				</td>
			<?php } ?>
			<?php if (isset($this->items[0]->ordering)) { ?>
				<td class="order">
					<?php if ($canChange) : ?>
						<?php if ($saveOrder) : ?>
							<?php if ($listDirn == 'asc') : ?>
								<span><?php echo $this->pagination->orderUpIcon($i, TRUE, 'singlesignons.orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								<span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, TRUE, 'singlesignons.orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							<?php elseif ($listDirn == 'desc') : ?>
								<span><?php echo $this->pagination->orderUpIcon($i, TRUE, 'singlesignons.orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								<span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, TRUE, 'singlesignons.orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							<?php endif; ?>
						<?php endif; ?>
						<?php $disabled = $saveOrder ? '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5"
						       value="<?php echo $item->ordering; ?>" <?php echo $disabled ?> class="text-area-order"/>
					<?php else : ?>
						<?php echo $item->ordering; ?>
					<?php endif; ?>
				</td>
			<?php } ?>
			<?php if (isset($this->items[0]->id)) { ?>
				<td class="center">
					<?php echo (int) $item->id; ?>
				</td>
			<?php } ?>
		</tr>
	<?php endforeach; ?>
	</tbody>
</table>
<div>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0"/>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
	<?php echo JHtml::_('form.token'); ?>
</div>
</form>
</div>

<div>
	<?php
	$sync_scene = DoceboViewSinglesignons::check_sync_scene();
	if ($sync_scene == '0') {
		?>
		<style>
			/* --------------------------------------------------- */
			/* SSO Box preview
			/* --------------------------------------------------- */
			#docebo-sso-box {
				border-radius:         3px;
				-moz-border-radius:    3px;
				-webkit-border-radius: 3px;
			}

			#docebo-sso-box .sso-container {
				padding: 15px;
			}

			#docebo-sso-box .course-overview {
				margin: 10px 0;
			}

			#docebo-sso-box h3 {
				margin-top: 0;
				font-size:  18px;
			}

			#docebo-sso-box h4 {
				margin-top:         0;
				margin-bottom:      10px;
				font-size:          15px;
				padding-bottom:     5px;
				border-bottom:      1px solid #ccc;
				-moz-box-shadow:    0px 1px 0px #fff;
				-webkit-box-shadow: 0px 1px 0px #fff;
				box-shadow:         0px 1px 0px #fff;
			}

			#docebo-sso-box img {
				width:        50px;
				height:       50px;
				padding:      1px;
				background:   #fff;
				border:       1px solid #ccc;
				float:        left;
				margin-right: 3px;
			}

			#docebo-sso-box .new-courses {
				background:   url(<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_new_courses.png) left center no-repeat;
				padding-left: 25px;
				line-height:  24px;
			}

			#docebo-sso-box .inprogress-courses {
				background:   url(<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_in_progress.png) left center no-repeat;
				padding-left: 25px;
				line-height:  24px;
			}

			#docebo-sso-box .completed-courses {
				background:   url(<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_completed.png) left center no-repeat;
				padding-left: 25px;
				line-height:  24px;
			}

			#docebo-sso-box span.number {
				float:       right;
				font-weight: 700;
			}

			#docebo-sso-box .last-course {
				float:         left;
				width:         100%;
				margin-bottom: 35px;
			}

			#docebo-sso-box .last-course .last-course-meta {
				margin-left: 15px;
			}

			#docebo-sso-box .last-course .last-course-meta h4 {
				margin:             0 0 10px;
				font-weight:        400;
				font-size:          13px;
				border:             none;
				box-shadow:         none;
				-webkit-box-shadow: none;
				-moz-box-shadow:    none;
			}

			#docebo-sso-box .last-course .progress {
				width:      100%;
				height:     10px;
				background: #ccc;
				margin-top: 10px;
			}

			#docebo-sso-box .last-course .bar {
				height:     10px;
				background: #85b200;
			}

			a.docebo-button {
				padding:         7px 10px;
				text-decoration: none;
				font-weight:     700;
			}
		</style>
		<?php
		$user = JFactory::getUser();
		$docebo_username = $user->get('username');
		// Let's create the SSO box, first call the API
		$params = array(
			'ext_user'      => $user->get('id'),
			'ext_user_type' => 'wordpress',
		);
		$data = Api::call('user/getstat/', $params);
		$course_block = json_decode($data);

		// Get the data for the current WordPress user through the LMS API
		$params = array(
			'ext_user'      => $user->get('id'),
			'ext_user_type' => 'wordpress',
		);
		$data = Api::call('user/profile/', $params);
		if ($data) // API success
		{
			// Parse the received user data
			$docebo_user_info = json_decode($data);
			if (isset($docebo_user_info->userid)) {
				$docebo_username = $docebo_user_info->userid;
				//echo 'UserName: '.$docebo_username;
			}
		}

		$button_link = Api::sso($docebo_username);

		//get SSO custom details from DB
		$dwp_sso_options = DoceboViewSinglesignons::get_sso_customs();
		?>
		<!-- Generate a preview -->
		<div id="docebo-preview-panel" style="float: right; margin-top: 20px;">
			<h4 style="text-align:center;">Preview</h4>

			<div id="docebo-sso-box"
			     style="background: <?php echo $dwp_sso_options['background_color']; ?>; width: <?php echo $dwp_sso_options['box_width']; ?>px; min-height: <?php echo $dwp_sso_options['box_height']; ?>px; color: <?php echo $dwp_sso_options['text_color']; ?>; border: 1px solid <?php echo $dwp_sso_options['border_color']; ?>; <?php if ($dwp_sso_options['use_box_shadow'] == 'Yes') {
				     echo 'box-shadow: 0 0 8px rgba(0,0,0,0.20)';
			     } ?>">
				<div class="sso-container">

					<?php if ($dwp_sso_options['box_title']) { ?>
						<h2 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?php echo $dwp_sso_options['box_title']; ?></h2>
					<?php } ?>

					<?php if ($dwp_sso_options['intro_text']) { ?>
						<h3 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?php echo $dwp_sso_options['intro_text']; ?></h3>
					<?php } ?>

					<?php if ($dwp_sso_options['show_courses_you_are_enrolled_in']): ?>
						<div class="course-overview">
							<h4 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?=JText::_('COM_DOCEBO_FORM_LBL_SINGLESIGNON_BOX_TITLE')?></h4>
							<?php
							if (isset($course_block->user_courses)) {
								echo '<div class="new-courses">'.JText::_('COM_DOCEBO_NEW').'</span><span class="number">' . $course_block->user_courses->new_courses . '</div>';
								echo '<div class="inprogress-courses">'.JText::_('COM_DOCEBO_IN_PROGRESS').'</span><span class="number">' . $course_block->user_courses->in_progress . '</div>';
								echo '<div class="completed-courses">'.JText::_('COM_DOCEBO_COMPLETED').'</span><span class="number">' . $course_block->user_courses->completed . '</div>';
							}
							?>
						</div>
					<?php endif; ?>

					<?php if (isset($course_block->last_course) && $dwp_sso_options['show_last_attended_course']) { ?>
						<div class="last-course">
							<h4 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?=JText::_('COM_DOCEBO_SINGLESIGNONS_LAST_ATTENDED_COURSE')?></h4>
							<?php    echo '<img class="course-thumb" src="' . $course_block->last_course->course_thumbnail . '" />';
							echo '<div class="last-course-meta"><h4 style="color: ' . $dwp_sso_options['title_color'] . '">' . $course_block->last_course->course_title . '</h4>';
							echo JText::_('COM_DOCEBO_SINGLESIGNONS_COURSE_PROGRESS');
							echo '<div class="progress"><div class="bar" style="width: ' . $course_block->last_course->course_progress . '%;"></div></div></div><div class="clear"></div>'; ?>
						</div>
					<?php } ?>

					<div class="cloud-button" style="text-align: <?php echo $dwp_sso_options['button_position']; ?>;">
						<a href="<?php echo $button_link; ?>" target="_blank" class="docebo-button"
						   style="background: <?php echo $dwp_sso_options['button_background_color']; ?>; color: <?php echo $dwp_sso_options['button_text_color']; ?>; border: 1px solid <?php echo $dwp_sso_options['button_border_color']; ?>;"><?php echo($dwp_sso_options['sso_button_text'] ? $dwp_sso_options['sso_button_text'] : 'SIGN IN'); ?></a>
					</div>
				</div>
			</div>
		</div>
		<!-- end #docebo-preview-panel -->
	<?php
	} else {
		echo '<p class="error" style="margin-top: 10px;">' . JText::_('COM_DOCEBO_SINGLESIGNONS_NOT_ENABLED').'</p>';
	} ?>
</div>